Page MenuHomePhabricator

Hovercards: Plural titles should be bolded in extracts, especially if there aren't other matches
Closed, ResolvedPublic

Description

In some cases, an extract may contain only plural instances of a title, which it would be desirable to bold.

Example: http://en.wikifur.com/wiki/Trax

The text "fursuiter" links to http://en.wikifur.com/wiki/Fursuit which starts:
"Fursuits, originally known as ..."

Because "Fursuits" != "Fursuit", the text is not bolded. (This title would also be affected by Bug 67227 due to the comma immediately after.)

Ideally the term "Fursuits" would be identified as a plural of the title "Fursuit" and bolded, at least lacking anything else to bold bold.

I'm not sure if this would lead to over-bolding. Perhaps Popups could look for words which start with the title text, if and only if no exact matches are found.


Version: master
Severity: normal

Details

Reference
bz67229

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz67229.
bzimport added a subscriber: Unknown Object (MLST).
Jaredzimmerman-WMF triaged this task as Normal priority.Dec 3 2014, 12:31 AM
Jaredzimmerman-WMF set Security to None.

I wonder how much search for a simple plural will help. By simple I mean just adding an s at the end.

Change 182446 had a related patch set uploaded (by Prtksxna):
renderer.article: Try bolding a simple plural if the title isn't found in the extract

https://gerrit.wikimedia.org/r/182446

Patch-For-Review

I am matching the title no matter what the trailing spaces now. So for train it'll match-

  • I like trains.
  • Train, or lots of cars…
Prtksxna claimed this task.Jan 2 2015, 12:29 PM
Prtksxna moved this task from Backlog to For Review on the Page-Previews board.Jan 7 2015, 12:15 AM

Change 182446 merged by Werdna:
renderer.article: Bold the title no matter what the trailing characters

https://gerrit.wikimedia.org/r/182446

Prtksxna closed this task as Resolved.Mar 5 2015, 10:24 AM
Prtksxna moved this task from For Review to Done on the Page-Previews board.Mar 18 2015, 5:56 AM